# class KURLRequesterDlg | Simple dialog to enter a filename/url. More...
Definition | `#include <kurlrequesterdlg.h>`
Inherits | KDialogBase (kdeui) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KURLRequesterDlg ( const QString& urlName, QWidget *parent, const char *name, bool modal = true )
- KURLRequesterDlg ( const QString& urlName, const QString& _text, QWidget *parent, const char *name, bool modal=true )
- ~KURLRequesterDlg ()
- KURL selectedURL () const

#### Public Static Methods

- static KURL getURL (const QString& url = QString::null, QWidget *parent= 0, const QString& caption = QString::null)

#### Protected Slots

- void slotClear ()
- void initDialog (const QString &_text,const QString &urlName,bool modal)

#### Protected Members

- KURLCompletion * urlCompletion_
- KURLRequester * urlRequester_

## Detailed Description

Dialog in which a user can enter a filename or url. It is a dialog encapsulating KURLRequester. The API is derived from KFileDialog.

KURLRequesterDlg ( const QString& urlName, QWidget *parent, const char *name, bool modal = true ) | ### KURLRequesterDlg

Constructs a KURLRequesterDlg

Parameters:

urlName | The url of the directory to start in. Use QString::null to start in the current working directory, or the last directory where a file has been selected.
modal | Specifies whether the dialog should be opened as modal or not.

KURLRequesterDlg ( const QString& urlName, const QString& _text, QWidget *parent, const char *name, bool modal=true ) | ### KURLRequesterDlg

Constructs a KURLRequesterDlg

Parameters:

urlName | The url of the directory to start in. Use QString::null to start in the current working directory, or the last directory where a file has been selected.
_text | Text of the label
modal | Specifies whether the dialog should be opened as modal or not.

~KURLRequesterDlg () | ### ~KURLRequesterDlg

Destructs the dialog

KURL selectedURL () | ### selectedURL

[const]

Retrieve the fully qualified filename.

KURL getURL (const QString& url = QString::null, QWidget *parent= 0, const QString& caption = QString::null) | ### getURL

[static]

Create a modal dialog and return the selected URL.

Parameters:

url | This specifies the initial path of the input line.
parent | The widget the dialog will be centered on initially.

void slotClear () | ### slotClear

[protected slots slot]

void initDialog (const QString &_text,const QString &urlName,bool modal) | ### initDialog

[protected slots slot]

KURLCompletion * urlCompletion_ | ### urlCompletion_

[protected]

KURLRequester * urlRequester_ | ### urlRequester_

[protected]

- Author: Wilco Greven <j.w.greven@student.utwente.nl>
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:42:26 2001, using kdoc 2.0a53.